<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateSettingsTable extends Migration
{
    public function up(): void
    {
        Schema::table('settings', function (Blueprint $table) {
            $table->string('sitename')->nullable();
            $table->string('siteurl')->nullable();
            $table->string('logo')->nullable();
            $table->string('currency')->nullable();
            $table->string('sym')->nullable();
            $table->boolean('email_verification')->default(false);
        });
    }

    public function down(): void
    {
        Schema::table('settings', function (Blueprint $table) {
            $table->dropColumn(['sitename', 'siteurl', 'logo', 'currency', 'sym', 'email_verification']);
        });
    }
}

